<?php

/**
 * ShopIt - Joomla Template
 *
 * @package bt_shopit
 * @version 1.0
 * @copyright BonusThemes.com 2008
 * @link http://www.bonusthemes.com/goto/bt_shopit
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

require(dirname(__FILE__) . '/template.inc.php');
global $tpl;
$tpl = new TplBtShopit();

$cmenu_css = $tpl->show_menu ? '<link href="' . $tpl->path . '/css/cmenu.css" rel="stylesheet" type="text/css" />' . "\n" : '';
$cmenu_js = $tpl->show_menu ? '<script type="text/javascript" src="' . $tpl->path . '/js/cmenu.js"></script>' . "\n" : '';

$tdgap = '<td width="1" class="pg_hsplit"><img src="' . $tpl->path . '/images/blank.gif" alt="" width="1" height="1" /></td>' . "\n";

if ($tpl->show_menu)
	$cmenu_js .= <<<EOF
<script type="text/javascript">
// <![CDATA[
document['cmenu_items'] = new Array();
{$tpl->menu_js}
// ]]>
</script>

<link rel="prefetch" href="{$tpl->path}/images/layout/menu_hover_l.gif" />
<link rel="prefetch" href="{$tpl->path}/images/layout/menu_hover_r.gif" />

EOF;

echo <<<EOF
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{$this->language}" lang="{$this->language}" >
<head>

<jdoc:include type="head" />

<link href="{$tpl->path}/css/layout.css" rel="stylesheet" type="text/css" />
<link href="{$tpl->path}/css/template.css" rel="stylesheet" type="text/css" />
<link href="{$tpl->path}/css/virtuemart.css" rel="stylesheet" type="text/css" />
$cmenu_css

<!--[if lt IE 7]>
<script type="text/javascript">
var blankImg = '{$tpl->path}/images/blank.gif';
</script>
<style type="text/css">
.pngfix { behavior: url({$tpl->path}/js/iepngfix.htc); }
.pngfix_static { behavior: url({$tpl->path}/js/iepngfix_static.htc); }
</style>
<![endif]-->

$cmenu_js

<script type="text/javascript" src="{$tpl->path}/js/template.js"></script>

EOF;

echo '</head>' . "\n";

echo '<body>' . "\n";

if ($tpl->seocp) {
	echo '<div style="display:none">' . "\n";
	$tpl->echo_mainbody_pragma();
	echo '</div>' . "\n";
}

echo '<table id="wrapper" cellspacing="0" cellpadding="0" width="' . $tpl->width . '" align="center">' . "\n";
echo '	<tr>' . "\n";
echo '		<td id="pg_l" valign="top" width="3"><img src="' . $tpl->path . '/images/layout/pg_lt.gif" alt="" /></td>' . "\n";
echo '		<td id="pg_c" valign="top">' . "\n";
echo '			<div id="pg_t"></div>' . "\n";
echo '			<div id="pg_r1">' . "\n";
echo '				<table cellspacing="0" cellpadding="0" width="100%"><tr>' . "\n";

if ($tpl->modcount('toolbar')) {
	echo '					<td valign="top"' . $tpl->td_width('toolbar', true) . '>' . "\n";
	$tpl->echo_position('toolbar', true);
	echo '					</td>' . "\n";

	if ($tpl->show_menu || $tpl->modcount('header'))
		echo '					' . $tdgap;
}

if ($tpl->show_menu) {
	for ($i = 0, $len = count($tpl->menu_head_tags); $i < $len; $i++) {
		$mi = &$tpl->menu_head_tags[$i];

		echo '	<td class="cmenu_hd_norm_c gap" height="62">&nbsp;</td>' . "\n";

		printf('
			<td class="cmenu_hd_%1$s_l" width="12" height="62"></td>
			<td class="cmenu_hd_%1$s_c" height="62" valign="middle" id="%2$s">%3$s%4$s</td>
			<td class="cmenu_hd_%1$s_r" width="12" height="62"></td>
',
			$mi->selection == 0 ? 'norm' : 'sel',
			$mi->head_id,
			$mi->full_link,
			empty($mi->sub_menu_items) ? '' : ' <img src="' . $tpl->path . '/images/layout/menu_submenu.gif" alt="" />'
		);
	}

	echo '	<td class="cmenu_hd_norm_c gap" height="62">&nbsp;</td>' . "\n";
}
else if ($tpl->modcount('header')) {
	echo '					<td valign="top"' . $tpl->td_width('header', true) . '>' . "\n";
	$tpl->echo_position('header', true);
	echo '					</td>' . "\n";
}

echo '				</tr></table>' . "\n";
echo '			</div>' . "\n";
echo '			<div class="pg_vsplit"></div>' . "\n";
echo '			<div id="pg_r2">' . "\n";
$tdgap_r2 = '<td width="1" class="pg_hsplit"><img src="' . $tpl->path . '/images/blank.gif" alt="" width="1" height="175" /></td>' . "\n";
$tpl->echo_positions(array('icon', 'top', 'cpanel'), '', true, false, '', $tdgap_r2);
echo '			</div>' . "\n";
echo '			<div id="pg_r3_up"></div>' . "\n";
echo '			<div id="pg_r3">' . "\n";
$tpl->echo_position('inset1', true);
echo '			</div>' . "\n";
echo '			<div class="pg_vsplit"></div>' . "\n";

if ($tpl->modcount('advert1') || $tpl->modcount('advert2') || $tpl->modcount('advert3') || $tpl->modcount('advert4')) {
	$tpl->echo_positions(array('advert1', 'advert2', 'advert3', 'advert4'), '', true, false, '', $tdgap);
	echo '			<div class="pg_vsplit"></div>' . "\n";
}

if ($tpl->modcount('left') || $tpl->modcount('right'))
	echo '			<table cellspacing="0" cellpadding="0" width="100%"><tr>' . "\n";

if ($tpl->modcount('left')) {
	echo '				<td valign="top"' . $tpl->td_width('left', true) . '>' . "\n";
	$tpl->echo_position('left', true);
	echo '				</td>' . "\n";
	echo '				' . $tdgap;
}

if ($tpl->modcount('left') || $tpl->modcount('right'))
	echo '				<td valign="top">' . "\n";

$tpl->echo_pathway_area();
echo '					<div class="pg_vsplit"></div>' . "\n";

$tpl->echo_positions(array('newsflash'), 'spacer1', false);

echo '					<div id="spacer2"></div>' . "\n";
echo '					<div class="inner_gap">' . "\n";
$tpl->echo_mainbody_wrapper();
echo '					</div>' . "\n";

$tpl->echo_positions(array('banner'), 'spacer3', false);
echo '					<div id="spacer4"></div>' . "\n";

if ($tpl->modcount('left') || $tpl->modcount('right'))
	echo '				</td>' . "\n";

if ($tpl->modcount('right')) {
	echo '				' . $tdgap;
	echo '				<td valign="top"' . $tpl->td_width('right', true) . '>' . "\n";
	$tpl->echo_position('right', true);
	echo '				</td>' . "\n";
}

if ($tpl->modcount('left') || $tpl->modcount('right'))
	echo '			</tr></table>' . "\n";

if ($tpl->modcount('inset2')) {
	echo '			<div class="pg_vsplit"></div>' . "\n";
	$tpl->echo_position('inset2', true);
}

echo '			<div class="gdiv"><div class="gdiv_left"><div class="gdiv_right"></div></div></div>' . "\n";

if ($tpl->modcount('inset3') || $tpl->modcount('bottom1') || $tpl->modcount('bottom2') || $tpl->modcount('bottom3')) {
	if ($tpl->modcount('inset3')) {
		$tpl->echo_position('inset3', true);
		echo '			<div class="pg_vsplit"></div>' . "\n";
	}

	$tpl->echo_positions(array('bottom1', 'bottom2', 'bottom3'), '', true, false, '', $tdgap);

	if (($tpl->modcount('bottom1') || $tpl->modcount('bottom2') || $tpl->modcount('bottom3')) && $tpl->modcount('inset4'))
		echo '			<div class="pg_vsplit"></div>' . "\n";

	$tpl->echo_position('inset4');

	echo '			<div class="gdiv"><div class="gdiv_left"><div class="gdiv_right"></div></div></div>' . "\n";
}

echo '			<div id="footer_r1"></div>' . "\n";

if ($tpl->modcount('footer1') || $tpl->modcount('footer2') || $tpl->modcount('footer3') || $tpl->modcount('footer4')) {
	echo '			<div id="footer_r2_r3_outer"><div id="footer_r2_r3_inner">' . "\n";
	$tdgap_footer = '<td width="1" class="footer_r3_hgap"><img src="' . $tpl->path . '/images/blank.gif" alt="" /></td>' . "\n";
	$tpl->echo_positions(array('footer1', 'footer2', 'footer3', 'footer4'), '', true, false, '', $tdgap_footer);
	echo '				<div class="splitgap"></div>' . "\n";
	echo '			</div></div>' . "\n";
}

echo '			<div id="footer_r4">' . "\n";
echo '				<table cellspacing="0" cellpadding="0" width="100%"><tr>' . "\n";

	echo '			<a href="http://joomla-temp.ru" target="_blank"><img src="' . $tpl->path . '/images/layout/btlogo.gif" alt="" border="0" /></a>' . "\n";

echo '					<td id="td_legals" height="36" align="center" valign="top">' . "\n";

if ($tpl->modcount('legals'))
	$tpl->echo_position('legals', true);
else
	echo '&nbsp;';

echo '					</td>' . "\n";

echo '					<td width="50" height="36" align="center" valign="middle"><a href="javascript:void(0)" onfocus="blur()" onclick="goto_top()"><img src="' . $tpl->path . '/images/layout/goto_top.gif" alt="Top" border="0" /></a></td>' . "\n";

echo '				</tr></table>' . "\n";
echo '			</div>' . "\n";

echo '		</td>' . "\n";
echo '		<td id="pg_r" valign="top" width="3"><img src="' . $tpl->path . '/images/layout/pg_rt.gif" alt="" /></td>' . "\n";
echo '	</tr>' . "\n";
echo '</table>' . "\n";

foreach (array('aux1', 'aux2', 'aux3', 'aux4', 'aux5') as $position)
	$tpl->echo_hidden_position($position);

$tpl->echo_position('debug');

echo <<<EOF

</body>
</html>

EOF;

?>